package eu.eudat.dao.entities;

import eu.eudat.dao.databaselayer.service.DatabaseService;
import eu.eudat.entities.DMP;
import eu.eudat.entities.Invitation;
import eu.eudat.models.criteria.InvitationCriteria;
import eu.eudat.queryable.QueryableList;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.UUID;

/**
 * Created by ikalyvas on 1/4/2018.
 */
@Service("invitationDao")
public class InvitationDaoImpl implements InvitationDao{

    @Autowired
    DatabaseService<Invitation> databaseService;

    @Override
    public QueryableList<Invitation> getWithCriteria(InvitationCriteria criteria) {
        return null;
    }

    @Override
    public Invitation createOrUpdate(Invitation item) {
        return this.databaseService.createOrUpdate(item,Invitation.class);
    }

    @Override
    public Invitation find(UUID id) {
        return this.databaseService.getQueryable(Invitation.class).where((builder, root) -> builder.equal(root.get("id"),id)).toList().get(0);
    }

    @Override
    public Long count() {
        return null;
    }
}
