package eu.eudat.models.userinfo;

import eu.eudat.entities.*;
import eu.eudat.entities.UserInfo;
import eu.eudat.models.DataModel;

import java.util.UUID;

/**
 * Created by ikalyvas on 1/4/2018.
 */
public class UserInfoInvitationModel implements DataModel<eu.eudat.entities.UserInfo>{
    private UUID id;
    private String email;
    private String name;

    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public void fromDataModel(eu.eudat.entities.UserInfo entity) throws InstantiationException, IllegalAccessException {
        this.id = entity.getId();
        this.email = entity.getEmail();
        this.name = entity.getName();
    }

    @Override
    public eu.eudat.entities.UserInfo toDataModel() {
        eu.eudat.entities.UserInfo userInfo = new UserInfo();
        userInfo.setId(this.id);
        userInfo.setEmail(this.email);
        userInfo.setName(this.name);
        return userInfo;
    }
}
