package eu.eudat.services;

import eu.eudat.models.mail.SimpleMail;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.mail.SimpleMailMessage;
import org.springframework.mail.javamail.JavaMailSender;
import org.springframework.stereotype.Service;

/**
 * Created by ikalyvas on 1/5/2018.
 */
@Service("mailService")
public class MailServiceImpl implements MailService{

    @Autowired
    private JavaMailSender emailSender;

    @Override
    public void sendSimpleMail(SimpleMail mail) {
        SimpleMailMessage message = new SimpleMailMessage();
        message.setSubject(mail.getSubject());
        message.setText(mail.getContent());
        message.setTo(mail.getTo());
        message.setFrom(mail.getFrom());
        this.emailSender.send(message);
    }
}
